<!DOCTYPE html>
<!--Defines the document as HTML5 document!-->
<html>
<!--Opening tag! Defines the HTML document!-->

<head>
    <!--<head> is initiated before <body>! (Load styles etc.)-->
    <meta charset="utf-8">
    <!--Meta tag defining the charset-->
    <link rel="stylesheet" type="text/css" href="style.css" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<!--Closes head!-->

<body>
    <h1>Cats and Google!?!</h1>
    <p>Go to Google?</p>
    <a href="https://www.google.com">Google Link!</a>
    <br />
    <a
        href="https://www.google.com/search?q=cats&source=lnms&tbm=isch&sa=X&ved=2ahUKEwjU1Pzs1_bzAhVmkosKHaacCSgQ_AUoAXoECAIQAw&cshid=1635753317724053&biw=839&bih=736&dpr=1.25"><img
            src="./kissa.jpg" /></a>
    <img
        src="https://th-thumbnailer.cdn-si-edu.com/bZAar59Bdm95b057iESytYmmAjI=/1400x1050/filters:focal(594x274:595x275)/https://tf-cmsv2-smithsonianmag-media.s3.amazonaws.com/filer/95/db/95db799b-fddf-4fde-91f3-77024442b92d/egypt_kitty_social.jpg" />
    <!--Opens the webpage body!-->
    <!--Paragraphs, images and links come here.-->
    <form>
        <label for="username">Username:</label>
        <input type="text" name="username" />
        <label for="password">Password:</label>
        <input type="password" name="password" />
        <label for="admin">Admin?</label>
        <input type="radio" name="admin" />
        <button type="submit">Login</button>
    </form>
    <div class="tableContainer">
        <table>
            <thead>
                <th>#</th>
                <th>First</th>
                <th>Last</th>
                <th>Handle</th>
            </thead>
            <tbody>
                <tr>
                    <td>
                        1
                    </td>
                    <td>
                        Mark
                    </td>
                    <td>
                        Otto
                    </td>
                    <td>
                        @mdo
                    </td>
                </tr>
                <tr>
                    <td>
                        2
                    </td>
                    <td>
                        Jacob
                    </td>
                    <td>
                        Thornton
                    </td>
                    <td>
                        @fat
                    </td>
                </tr>
                <tr>
                    <td>
                        3
                    </td>
                    <td>
                        Larry
                    </td>
                    <td>
                        the Bird
                    </td>
                    <td>
                        @twitter
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <div class="reusableBox" style="background-color: red;">
        <p class="boxText">Text inside the box!</p>
    </div>
    <div class="reusableBox" style="background-color: black;">
        <p class="boxText">Text inside the box!</p>
    </div>
    <div class="reusableBox" style="background-color: yellow;">
        <p class="boxText">Text inside the box!</p>
    </div>
    <label for="pushableButton">Pushable Button</label>
    <button class="pushableButton" name="pushableButton"></button>
    <div class="greenCubeWrapper">
        <div class="greenCube">One</div>
        <div class="greenCube">Two</div>
        <div class="greenCube">Three</div>
        <div class="greenCube">Four</div>
        <div class="greenCube">Five</div>
    </div>
    <div class="redCubeWrapper">
        <div class="redCube">One</div>
        <div class="redCube1">Two</div>
        <div class="redCube">Three</div>
        <div class="redCube">Four</div>
        <div class="redCube">Five</div>
    </div>
    <br />
    <div class="redCubeContainer">
        <div class="redcube">One</div>
        <div class="redcube">Two</div>
        <div class="redcube">Three</div>
        <div class="redcube">Four</div>
        <div class="redcube">Five</div>
    </div>
    <div class="greenCubeContainer">
        <div class="greencube1">One</div>
        <div class="greencube2">Two</div>
        <div class="greencube3">Three</div>
        <div class="greencube4">Four</div>
        <div class="greencube5">Five</div>
    </div>
    <div class="checkerBoardContainer">
        <p class="check">1</p>
        <p class="check">2</p>
        <p class="check">3</p>
        <p class="check">4</p>
        <p class="check">5</p>
        <p class="check">6</p>
        <p class="check">7</p>
        <p class="check">8</p>
        <p class="check">9</p>
        <p class="check">10</p>
        <p class="check">11</p>
        <p class="check">12</p>
        <p class="check">13</p>
        <p class="check">14</p>
        <p class="check">15</p>
        <p class="check">16</p>
    </div>
    <div class="imageShowCaseFlex">
        <img src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_960_720.jpg" />
        <img src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_960_720.jpg" />
        <img src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_960_720.jpg" />
        <img src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_960_720.jpg" /><img
            src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_960_720.jpg" />
        <img src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_960_720.jpg" />
        <img src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_960_720.jpg" />
        <img src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_960_720.jpg" /><img
            src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_960_720.jpg" />
        <img src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_960_720.jpg" />
        <img src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_960_720.jpg" />
        <img src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_960_720.jpg" /><img
            src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_960_720.jpg" />
        <img src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_960_720.jpg" />
        <img src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_960_720.jpg" />
        <img src="https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885_960_720.jpg" />
    </div>
    <form>
        <div class="mb-3">
            <label for="exampleInputEmail1" class="form-label">Email address</label>
            <input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
            <div id="emailHelp" class="form-text">We'll never share your email with anyone else.</div>
        </div>
        <div class="mb-3">
            <label for="exampleInputPassword1" class="form-label">Password</label>
            <input type="password" class="form-control" id="exampleInputPassword1">
        </div>
        <div class="mb-3 form-check">
            <input type="checkbox" class="form-check-input" id="exampleCheck1">
            <label class="form-check-label" for="exampleCheck1">Check me out</label>
        </div>
        <button type="submit" class="btn btn-primary">Submit</button>
    </form>
    <div class="container">
        <div class="row justify-content-md-center">
            <div class="col col-lg-2">
                1 of 3
            </div>
            <div class="col-md-auto">
                Variable width content
            </div>
            <div class="col col-lg-2">
                3 of 3
            </div>
        </div>
        <div class="row">
            <div class="col">
                1 of 3
            </div>
            <div class="col-md-auto">
                Variable width content
            </div>
            <div class="col col-lg-2">
                3 of 3
            </div>
        </div>
    </div>
    <table class="table table-dark table-striped">
        <thead>
            <th>#</th>
            <th>First</th>
            <th>Last</th>
            <th>Handle</th>
        </thead>
        <tbody>
            <tr>
                <td>
                    1
                </td>
                <td>
                    Mark
                </td>
                <td>
                    Otto
                </td>
                <td>
                    @mdo
                </td>
            </tr>
            <tr>
                <td>
                    2
                </td>
                <td>
                    Jacob
                </td>
                <td>
                    Thornton
                </td>
                <td>
                    @fat
                </td>
            </tr>
            <tr>
                <td>
                    3
                </td>
                <td>
                    Larry
                </td>
                <td>
                    the Bird
                </td>
                <td>
                    @twitter
                </td>
            </tr>
        </tbody>
    </table>
    <button type="button" class="btn btn-primary">Primary</button>
    <button type="button" class="btn btn-secondary">Secondary</button>
    <button type="button" class="btn btn-success">Success</button>
    <button type="button" class="btn btn-danger">Danger</button>
    <div class="input-group input-group-sm mb-3">
        <div class="input-group-prepend">
            <span class="input-group-text" id="inputGroup-sizing-sm">Small</span>
        </div>
        <input type="text" class="form-control" aria-label="Small" aria-describedby="inputGroup-sizing-sm">
    </div>

    <div class="input-group mb-3">
        <div class="input-group-prepend">
            <span class="input-group-text" id="inputGroup-sizing-default">Default</span>
        </div>
        <input type="text" class="form-control" aria-label="Default" aria-describedby="inputGroup-sizing-default">
    </div>

    <div class="input-group input-group-lg">
        <div class="input-group-prepend">
            <span class="input-group-text" id="inputGroup-sizing-lg">Large</span>
        </div>
        <input type="text" class="form-control" aria-label="Large" aria-describedby="inputGroup-sizing-sm">
    </div>
</body>
<!--Closes body!-->

</html>
<!--Closing tag marked with /!-->